# NETWORK\_CHANGED

On a NETWORK\_CHANGED event, the user has changed the network their provider wallet is connected to. The event will return the updated network details.

<table><thead><tr><th width="310">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>networks: string[]</code></td><td>A list of all networks which this wallet provider allows access to</td></tr><tr><td><code>defaultNetwork: string</code></td><td>Network the wallet is currently set to</td></tr></tbody></table>

## Example

```js
neoline.addEventListener(neoline.EVENT.NETWORK_CHANGED, (result) => {
    console.log('network:', result);
});
/* Another */
window.addEventListener('NEOLine.NEO.EVENT.NETWORK_CHANGED', (result) => {
    console.log('network:', result.detail);
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://tutorial.neoline.io/reference/neo2-provider-api/events/network_changed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
